#ifndef RALEIGH_WIDGET_H
#define RALEIGH_WIDGET_H

namespace raleigh {
  class widget;
}

#include <raleigh/window.h>
#include <pland/syscall.h>
#include <raleigh/util.h>

namespace raleigh {
  class widget {
  public:
    coord size;

    //set by window class (or parent widget)
    window *w;
    coord window_offset;

    //called by window class (or parent widget)
    virtual void notify_window_change() = 0;
    virtual void paint(_pixel_t *pixbuf, uint32_t pitch) = 0;
  };
}

#endif