#ifndef RALEIGH_WINDOW_H
#define RALEIGH_WINDOW_H

namespace raleigh {
  class window;
}

#include <raleigh/widget.h>
#include <pland/syscall.h>
#include <raleigh/util.h>

namespace raleigh {
  class window {
  public:
    window(widget &root);
    void notify_needs_paint(widget &from);
    enum try_actions_return_t {NONE, GOOD, DELETE};
    try_actions_return_t try_actions();
  private:
    _window_handle_t handle;
    _pixel_t *pixbuf;
    coord size;
    widget &root;
  };
}

#endif