#ifndef RALEIGH_W_PADDING_H
#define RALEIGH_W_PADDING_H

#include <raleigh/widget.h>

namespace raleigh {
  class padding : public widget {
  public:
    padding(uint32_t pad_by, _pixel_t color, widget &inner);

    void notify_window_change() override;
    void paint(_pixel_t *pixbuf, uint32_t pitch) override;
  private:
    uint32_t pad_by;
    _pixel_t color;
    widget &inner;
  };
}

#endif